import request from "@/utils/request";

// 查询客户人员信息列表
export function listCustomerStaff(query) {
  return request({
    url: "/business/customerStaff/list",
    method: "get",
    params: query,
  });
}

// 查询客户人员信息详细
export function getCustomerStaff(id) {
  return request({
    url: "/business/customerStaff/" + id,
    method: "get",
  });
}

// 新增客户人员信息
export function addCustomerStaff(data) {
  return request({
    url: "/business/customerStaff",
    method: "post",
    data: data,
  });
}

// 修改客户人员信息
export function updateCustomerStaff(data) {
  return request({
    url: "/business/customerStaff",
    method: "put",
    data: data,
  });
}

// 删除客户人员信息
export function delCustomerStaff(id) {
  return request({
    url: "/business/customerStaff/" + id,
    method: "delete",
  });
}
